Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://{controlPlaneURL}/api/svc/v1/users/{id} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "<string>", "email": "<string>", "tenantName": "<string>", "metadata": { "sub": "<string>", "imageURL": "<string>", "pictureDownloadPath": "<string>", "displayName": "<string>", "userObject": {}, "inviteAccepted": true, "registeredInIdp": true, "preference": {}, "groups": [ "<string>" ], "ssoName": "<string>", "scimUserObject": {}, "createdByScim": true }, "active": true, "isEditable": true, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "roles": [ "<string>" ], "rolesWithResource": [ { "roleId": "<string>", "resourceId": "<string>", "roleName": "<string>" } ], "accounts": [ { "accountId": "<string>", "name": "<string>" } ] } }
Get User associated with provided User id
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
User Id
Returns the User associated with provided User id
User
Show child attributes
Was this page helpful?
Contact support